import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Date;

/**
 * <p>Класс TimerTest для тестирования таймера</p>
 * <p>Функция showMessageDialog класса JOptionPane создает диплоговое окно, в котором
 * предлагается завершить программу</p>
 * */
public class TimerTest {
    public static void main(String[] args) {
        ActionListener listener = new TimerPrinter();
        Timer timer = new Timer(10000, listener);
        timer.start();

        JOptionPane.showMessageDialog(null, "Quit program?");
    }
}

/**
 * <p>Класс TimerPrinter реализует интерфейс ActionListener</p>
 * */
class TimerPrinter implements ActionListener {
    /**
     * <p>Функция actionPerformed будет вызываться таймером каждые 10 секунд</p>
     * */
    @Override
    public void actionPerformed(ActionEvent e) {
        Date now = new Date();
        System.out.println("At the tone, the time is " + now);
        Toolkit.getDefaultToolkit().beep();
    }
}
